package com.sw.mes.yb.seed.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.seed.dto.SeedSelfInspectionDto;
import com.sw.mes.yb.seed.entity.SeedSelfInspection;

import java.util.List;

public interface SeedSelfInspectionService  extends BaseService<SeedSelfInspection> {
    //根据籽晶编码查询籽晶自检信息
    SeedSelfInspection getBySeedCode(String seedCode);
    List<SeedSelfInspection> getSelfInspectionBySeedCode(List<String> seedCodes);
    //根据籽晶批次号查询籽晶自检信息
    SeedSelfInspection getBySeedBatchNo(String seedBatchNo);
    //根据计划单号查询籽晶自检信息
    List<SeedSelfInspection> getByPlanCode(String planCode);
    //根据批次号查询籽晶自检信息
    List<SeedSelfInspection> getByBatchNo(String batchNo);
    List<SeedSelfInspection> getQualified(Boolean isQualified);
    Result create(SeedSelfInspectionDto seedSelfInspectionDto);
}
